Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158923 - which font is used for ASCII depends on environment
Summary: which font is used for ASCII depends on environment
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-26 21:06 UTC by Akira TAGOH
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.9.108-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-10 15:27:22 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2005-05-26 21:06:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050517 Firefox/0.8 StumbleUpon/1.999 (Debian package 1.0.4-2)

Description of problem:
This happens on zh_CN and zh_TW locale. when I run OOo without $HOME/.openoffice.org2.0 or after running on ja_JP locale say, Times New Roman is a default font for ASCII. but SunBatang becomes a default font after running it on ko_KR locale.

Version-Release number of selected component (if applicable):
openoffice.org-*-1.9.104-2 + test lib.

How reproducible:
Always

Steps to Reproduce:
1.rm ~/.openoffice.org2.0 and run oowriter on zh_CN.UTF-8 and type something like ASCII say
2.run oowriter on ko_KR.UTF-8 and type something and quit then. try step 1 again.
3.compare font names.
  

Actual Results:  1. Times New Roman is used
2. SunBatang is used.

Expected Results:  in which case, same font should be used.

Additional info:

Comment 1 Caolan McNamara 2005-06-09 08:34:33 UTC
It's not "ASCII", but the font for western language. Incorrectly when
korean/japanese is the locale one portion of code is not detecting those as CJK
languages and is setting the *western* language to be korean/japanese which thus
sets the western (ASCII) font to an incorrect CJK font.

Will be fixed in next respin.


Note You need to log in before you can comment on or make changes to this bug.